import { FC, ReactNode } from "react";
declare type ConditionalProps = {
    label?: string;
    children?: never;
} | {
    label?: never;
    children: ReactNode;
};
interface DefaultProps {
    onClick?: () => void;
    checked?: boolean;
    disabled?: boolean;
}
declare type IProps = DefaultProps & ConditionalProps;
export declare const Checkbox: FC<IProps>;
export {};
